package com.fxf.separation.bean;

import org.springframework.jdbc.datasource.lookup.AbstractRoutingDataSource;

/**
 * @author FXF
 * @date 2019-10-14
 */
public class MyRoutingDataSource extends AbstractRoutingDataSource {
	@Override
	protected Object determineCurrentLookupKey() {
		return DBContextHolder.get();
	}
}
